[IOS/Android] Tapdaq advertising Mediation and Cross Promotion) [v2.2.6]

robinschaafsma

  • *
  • Posts: 712
Tapdaq advertising Mediation and Cross Promotion
Works on iOS and Android


HOW TO
Go to https://byrobingames.github.io

OPENSOURCE

Submitting a Pull Request
This software is opensource.
If you want to contribute you can make a pull request

Repository: https://github.com/byrobingames/tapdaq

Need help with a pull request?
https://help.github.com/articles/creating-a-pull-request/

ANY ISSUES?
Creating an issue on GitHub
Repository: https://github.com/byrobingames/tapdaq

Need help with creating a issue?
https://help.github.com/articles/creating-an-issue/

« Last Edit: December 22, 2018, 08:22:12 am by robinschaafsma »

NOTA

  • Posts: 203
Sure would like to see this on Android...

robinschaafsma

  • *
  • Posts: 712
EXTENSION IS UPDATED SEE FIRST POST

Android supported

robinschaafsma

  • *
  • Posts: 712
Update Available version 1.5

(1.5) Update iOS SDK to 1.1.1 and Android SDK to 2.5.5

If you already download this extension from my store, login to your account on the store and re-download the extension

robinschaafsma

  • *
  • Posts: 712
Update Available version 1.7 (see first post)

Support Mediation and Cross Promotion
This extension supports the following Networks.
*The networks SDK's are included in this extension, you don't need to enable the seperate extenions for those networks *
- Adcolony
- Admob
- AppLovin
- Chartboost
- Facebook Audience Network
- UnityAds
- Vungle

Documentation and Blocks
See wiki page: https://github.com/byrobingames/tapdaq/wiki/Implement-Tapdaq-Advertising-in-your-Stencyl-game.

« Last Edit: February 13, 2017, 11:57:26 am by robinschaafsma »

Update Available version 1.7 (see first post)

Support Mediation and Cross Promotion
This extension supports the following Networks.
*The networks SDK's are included in this extension, you don't need to enable the seperate extenions for those networks *
- Adcolony
- Admob
- AppLovin
- Chartboost
- Facebook Audience Network
- UnityAds
- Vungle

Documentation and Blocks
See wiki page: https://github.com/byrobingames/tapdaq/wiki/Implement-Tapdaq-Advertising-in-your-Stencyl-game.
Hi robin. Adcolony extension by MAX is broken right now, Does Adcolony work in this extension?
However, can you take a time and update Adcolony extension?I have bought all the extensions in your market but I still need Adcolony and Tapjoy extensions separately, Thank you.=)

« Last Edit: February 13, 2017, 09:48:32 pm by Exotic Game Maker »

robinschaafsma

  • *
  • Posts: 712
Hi robin. Adcolony extension by MAX is broken right now, Does Adcolony work in this extension?
However, can you take a time and update Adcolony extension?I have bought all the extensions in your market but I still need Adcolony and Tapjoy extensions separately, Thank you.=)

Hi, all supported network listed in first post works in this extension, so yes also Adcolony works, no need to have the separate extension, (does not works when the separate extension are enabled, does not compile).

For the update of the Adcolony extension, let me think about that... (Whats you offer ;) ).
I am the only one that makes advertising extensions at the moment and i have a lot now, that i also have to support.... I even thought about it to stop making extensions and support them, because i don't have the time, but i started so quitting is not an option :)

Hi robin. Adcolony extension by MAX is broken right now, Does Adcolony work in this extension?
However, can you take a time and update Adcolony extension?I have bought all the extensions in your market but I still need Adcolony and Tapjoy extensions separately, Thank you.=)

Hi, all supported network listed in first post works in this extension, so yes also Adcolony works, no need to have the separate extension, (does not works when the separate extension are enabled, does not compile).

For the update of the Adcolony extension, let me think about that... (Whats you offer ;) ).
I am the only one that makes advertising extensions at the moment and i have a lot now, that i also have to support.... I even thought about it to stop making extensions and support them, because i don't have the time, but i started so quitting is not an option :)
Ok thank you.=D

jaughnaugh

  • *
  • Posts: 30
Hey Robin, I'm having trouble building with tapdaq, i keep getting errors. I downloaded both the new Tapdaq, and the new Robin extension. Eventho they keep showing the preview version numbers (1.6 for tapdaq and 0.8 for robin exension in stencyl)

Code: [Select]
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857620004535 stencyl.sw.util.StreamGobbler [haxelib] ** BUILD FAILED **
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004534 stencyl.sw.util.StreamGobbler [haxelib] clang: error: linker command failed with exit code 1 (use -v to see invocation)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004533 stencyl.sw.util.StreamGobbler [haxelib] ld: symbol(s) not found for architecture arm64
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004532 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004531 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_TDProperties", referenced from:
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004530 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004529 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_TDTestDevices", referenced from:
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004528 stencyl.sw.util.StreamGobbler [haxelib]      (maybe you meant: _OBJC_CLASS_$_TapdaqController)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004527 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004526 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_Tapdaq", referenced from:

robinschaafsma

  • *
  • Posts: 712
Hey Robin, I'm having trouble building with tapdaq, i keep getting errors. I downloaded both the new Tapdaq, and the new Robin extension. Eventho they keep showing the preview version numbers (1.6 for tapdaq and 0.8 for robin exension in stencyl)
Fix the version in version 1.8
Code: [Select]
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857620004535 stencyl.sw.util.StreamGobbler [haxelib] ** BUILD FAILED **
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004534 stencyl.sw.util.StreamGobbler [haxelib] clang: error: linker command failed with exit code 1 (use -v to see invocation)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004533 stencyl.sw.util.StreamGobbler [haxelib] ld: symbol(s) not found for architecture arm64
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004532 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004531 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_TDProperties", referenced from:
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004530 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004529 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_TDTestDevices", referenced from:
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004528 stencyl.sw.util.StreamGobbler [haxelib]      (maybe you meant: _OBJC_CLASS_$_TapdaqController)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004527 stencyl.sw.util.StreamGobbler [haxelib]       objc-class-ref in libtapdaq.a(cd332943_TapdaqEx.o)
jar:file:/Users/jrdnmlndz/Downloads/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1487159857607004526 stencyl.sw.util.StreamGobbler [haxelib]   "_OBJC_CLASS_$_Tapdaq", referenced from:
It seems the Tapdaq.framework is not linked, after download the extension.
Try to update to version 1.8.

If you stil get the same error follow below steps:
1) Go to "YOURDOCUMENTFOLDER"/stencylworks/engine-extensions/tapdaq-master/frameworks"
2) Delete the Tapdaq.framework in this folder
3) Download the Tapdaq.framework from here: https://www.dropbox.com/s/vqeg64i8f8736mq/tapdaq-ios-sdk-master.zip?dl=0
4) Unzip it and copy the Tapdaq.framework to "YOURDOCUMENTFOLDER"/stencylworks/engine-extensions/tapdaq-master/frameworks"
5) Run clean project and try to compile

robinschaafsma

  • *
  • Posts: 712
Update to version 1.8

Updated iOS SDK to 4.10.0 and Android SDK to 4.3.0

jaughnaugh

  • *
  • Posts: 30
Thank you Robin! The second option worked. I had to replace the framework myself. Good work!

robinschaafsma

  • *
  • Posts: 712
Thank you Robin! The second option worked. I had to replace the framework myself. Good work!
Thanks for confirm, i have add the solution in the first post.

robinschaafsma

  • *
  • Posts: 712
For iOS it is required to install and enable “byRobin Extension Manager” version 0.1.0 or above

Edit:
For iOS it is required to install and enable “byRobin Extension Manager” version 0.1.1 or above

« Last Edit: February 24, 2017, 08:15:08 am by robinschaafsma »

robinschaafsma

  • *
  • Posts: 712
iOS Make an ipa with Xcode when ready for publish

When you publish with Stencyl you will get error ITMS 90179 when upload ipa with Application Loader. To Fix this you have to make an ipa with Xcode..

See this wiki page how to do this:
https://github.com/byrobingames/tapdaq/wiki/iOS:-Publish-ipa-with-Xcode